diff --git a/wwjcloud/src/common/sys/controllers/admin/AttachmentController.ts b/wwjcloud/src/common/sys/controllers/admin/AttachmentController.ts
index 60a7c81..03bc5a8 100644
--- a/wwjcloud/src/common/sys/controllers/admin/AttachmentController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/AttachmentController.ts
@@ -10,6 +10,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -52,9 +53,11 @@ export class AttachmentController {
     @Query() query: AttachmentQueryDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.attachmentService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.attachmentService.getPage(siteId, query);
   }
 
   @Get(':attId')
@@ -65,9 +68,11 @@ export class AttachmentController {
     @Param('attId', ParseIntPipe) attId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.attachmentService.getInfo(siteId, attId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.attachmentService.getInfo(siteId, attId);
   }
 
   @Post()
@@ -77,13 +82,11 @@ export class AttachmentController {
     @Body() data: CreateAttachmentDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentService.add(siteId, data);
-      return { code: 200, message: '创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '创建失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentService.add(siteId, data);
   }
 
   @Put(':attId')
@@ -95,13 +98,11 @@ export class AttachmentController {
     @Body() data: UpdateAttachmentDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentService.edit(siteId, attId, data);
-      return { code: 200, message: '更新成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '更新失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentService.edit(siteId, attId, data);
   }
 
   @Put(':attId/category')
@@ -113,17 +114,15 @@ export class AttachmentController {
     @Body() data: ModifyAttachmentCategoryDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentService.modifyCategory(
-        siteId,
-        attId,
-        data.cate_id,
-      );
-      return { code: 200, message: '修改成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '修改失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentService.modifyCategory(
+      siteId,
+      attId,
+      data.cate_id,
+    );
   }
 
   @Delete(':attId')
@@ -134,13 +133,11 @@ export class AttachmentController {
     @Param('attId', ParseIntPipe) attId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentService.del(siteId, attId);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentService.del(siteId, attId);
   }
 
   @Delete('batch')
@@ -150,15 +147,13 @@ export class AttachmentController {
     @Body() data: BatchDeleteAttachmentDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.attachmentService.batchDelete(
-        siteId,
-        data.att_ids,
-      );
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.attachmentService.batchDelete(
+      siteId,
+      data.att_ids,
+    );
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/ChannelController.ts b/wwjcloud/src/common/sys/controllers/admin/ChannelController.ts
index 92831d2..b3bec83 100644
--- a/wwjcloud/src/common/sys/controllers/admin/ChannelController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/ChannelController.ts
@@ -42,7 +42,7 @@ export class ChannelController {
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
     // TODO: 实现渠道分页列表
-    return { code: 200, message: '获取成功', data: { list: [], total: 0 } };
+    return { list: [], total: 0 };
   }
 
   @Get('list')
@@ -50,7 +50,7 @@ export class ChannelController {
   @ApiResponse({ status: 200, description: '获取成功' })
   async getList(@Query() query: any, @Req() req: AuthenticatedRequest) {
     // TODO: 实现渠道列表
-    return { code: 200, message: '获取成功', data: [] };
+    return [];
   }
 
   @Get(':id')
@@ -62,7 +62,7 @@ export class ChannelController {
     @Req() req: AuthenticatedRequest,
   ) {
     // TODO: 实现渠道详情
-    return { code: 200, message: '获取成功', data: null };
+    return null;
   }
 
   @Post()
@@ -70,7 +70,7 @@ export class ChannelController {
   @ApiResponse({ status: 200, description: '创建成功' })
   async add(@Body() data: any, @Req() req: AuthenticatedRequest) {
     // TODO: 实现渠道新增
-    return { code: 200, message: '创建成功', data: null };
+    return null;
   }
 
   @Put(':id')
@@ -83,7 +83,7 @@ export class ChannelController {
     @Req() req: AuthenticatedRequest,
   ) {
     // TODO: 实现渠道编辑
-    return { code: 200, message: '更新成功', data: null };
+    return null;
   }
 
   @Delete(':id')
@@ -95,6 +95,6 @@ export class ChannelController {
     @Req() req: AuthenticatedRequest,
   ) {
     // TODO: 实现渠道删除
-    return { code: 200, message: '删除成功', data: null };
+    return null;
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/CommonController.ts b/wwjcloud/src/common/sys/controllers/admin/CommonController.ts
index cc68202..b51e2df 100644
--- a/wwjcloud/src/common/sys/controllers/admin/CommonController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/CommonController.ts
@@ -1,4 +1,4 @@
-﻿import { Controller, Get, Post, UseGuards, Req } from '@nestjs/common';
+﻿import { Controller, Get, Post, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -29,31 +29,47 @@ export class CommonController {
   @ApiOperation({ summary: '获取字典数据' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getDict(@Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现字典数据获取
-    return { code: 200, message: '获取成功', data: {} };
+    return {};
   }
 
   @Get('config')
   @ApiOperation({ summary: '获取系统配置' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getConfig(@Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现系统配置获取
-    return { code: 200, message: '获取成功', data: {} };
+    return {};
   }
 
   @Post('upload')
   @ApiOperation({ summary: '文件上传' })
   @ApiResponse({ status: 200, description: '上传成功' })
   async upload(@Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现文件上传
-    return { code: 200, message: '上传成功', data: null };
+    return null;
   }
 
   @Get('captcha')
   @ApiOperation({ summary: '获取验证码' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getCaptcha(@Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现验证码获取
-    return { code: 200, message: '获取成功', data: null };
+    return null;
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/ConfigController.ts b/wwjcloud/src/common/sys/controllers/admin/ConfigController.ts
index fa7d6e9..79612c0 100644
--- a/wwjcloud/src/common/sys/controllers/admin/ConfigController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/ConfigController.ts
@@ -1,4 +1,4 @@
-import { Controller, Get, Post, Body, UseGuards, Req } from '@nestjs/common';
+import { Controller, Get, Post, Body, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -23,10 +23,10 @@ interface AuthenticatedRequest extends Request {
 
 /**
  * 系统配置控制器 - 管理端
- * 路由前缀: /adminapi/sys/config
+ * 路由前缀: /admin/sys/config
  */
 @ApiTags('系统配置管理')
-@Controller('adminapi/sys/config')
+@Controller('admin/sys/config')
 @UseGuards(JwtAuthGuard, RolesGuard)
 @Roles('admin')
 export class ConfigController {
@@ -36,13 +36,11 @@ export class ConfigController {
   @ApiOperation({ summary: '获取版权信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getCopyright(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const data = await this.configService.getCopyright(siteId);
-    return {
-      code: 200,
-      message: '获取成功',
-      data,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.getCopyright(siteId);
   }
 
   @Post('copyright')
@@ -52,26 +50,22 @@ export class ConfigController {
     @Body() copyrightDto: CopyrightDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.configService.setCopyright(siteId, copyrightDto);
-    return {
-      code: 200,
-      message: '设置成功',
-      data: result,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.setCopyright(siteId, copyrightDto);
   }
 
   @Get('website')
   @ApiOperation({ summary: '获取网站信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getWebSite(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const data = await this.configService.getWebSite(siteId);
-    return {
-      code: 200,
-      message: '获取成功',
-      data,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.getWebSite(siteId);
   }
 
   @Post('website')
@@ -81,26 +75,22 @@ export class ConfigController {
     @Body() websiteDto: WebSiteDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.configService.setWebSite(siteId, websiteDto);
-    return {
-      code: 200,
-      message: '设置成功',
-      data: result,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.setWebSite(siteId, websiteDto);
   }
 
   @Get('scene-domain')
   @ApiOperation({ summary: '获取场景域名配置' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getSceneDomain(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const data = await this.configService.getSceneDomain(siteId);
-    return {
-      code: 200,
-      message: '获取成功',
-      data,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.getSceneDomain(siteId);
   }
 
   @Post('scene-domain')
@@ -110,29 +100,25 @@ export class ConfigController {
     @Body() sceneDomainDto: SceneDomainDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.configService.setSceneDomain(
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.setSceneDomain(
       siteId,
       sceneDomainDto,
     );
-    return {
-      code: 200,
-      message: '设置成功',
-      data: result,
-    };
   }
 
   @Get('service')
   @ApiOperation({ summary: '获取服务配置' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getService(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const data = await this.configService.getService(siteId);
-    return {
-      code: 200,
-      message: '获取成功',
-      data,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.getService(siteId);
   }
 
   @Post('service')
@@ -142,12 +128,10 @@ export class ConfigController {
     @Body() serviceDto: ServiceDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.configService.setService(siteId, serviceDto);
-    return {
-      code: 200,
-      message: '设置成功',
-      data: result,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.configService.setService(siteId, serviceDto);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/ExportController.ts b/wwjcloud/src/common/sys/controllers/admin/ExportController.ts
index ca053a7..00d46f1 100644
--- a/wwjcloud/src/common/sys/controllers/admin/ExportController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/ExportController.ts
@@ -9,6 +9,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -41,17 +42,18 @@ export class ExportController {
   @ApiOperation({ summary: '获取导出记录分页列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.exportService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.exportService.getPage(siteId, query);
   }
 
   @Get('data-types')
   @ApiOperation({ summary: '获取导出数据类型列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getExportDataType(@Req() req: AuthenticatedRequest) {
-    const result = await this.exportService.getExportDataType();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.exportService.getExportDataType();
   }
 
   @Post('check')
@@ -61,17 +63,15 @@ export class ExportController {
     @Body() data: { export_key: string; conditions?: any },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.exportService.checkExportData(
-        siteId,
-        data.export_key,
-        data.conditions,
-      );
-      return { code: 200, message: '检查成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '检查失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.exportService.checkExportData(
+      siteId,
+      data.export_key,
+      data.conditions,
+    );
   }
 
   @Post('export')
@@ -81,17 +81,15 @@ export class ExportController {
     @Body() data: { export_key: string; conditions?: any },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.exportService.exportData(
-        siteId,
-        data.export_key,
-        data.conditions,
-      );
-      return { code: 200, message: '导出任务创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '导出失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.exportService.exportData(
+      siteId,
+      data.export_key,
+      data.conditions,
+    );
   }
 
   @Delete(':id')
@@ -102,12 +100,10 @@ export class ExportController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.exportService.deleteRecord(siteId, id);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.exportService.deleteRecord(siteId, id);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/PosterController.ts b/wwjcloud/src/common/sys/controllers/admin/PosterController.ts
index ad669aa..068e3d4 100644
--- a/wwjcloud/src/common/sys/controllers/admin/PosterController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/PosterController.ts
@@ -10,6 +10,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -42,26 +43,29 @@ export class PosterController {
   @ApiOperation({ summary: '获取海报分页列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.posterService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.posterService.getPage(siteId, query);
   }
 
   @Get('list')
   @ApiOperation({ summary: '获取海报列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getList(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.posterService.getList(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.posterService.getList(siteId, query);
   }
 
   @Get('types')
   @ApiOperation({ summary: '获取海报类型列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPosterTypes(@Req() req: AuthenticatedRequest) {
-    const result = await this.posterService.getPosterTypes();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.posterService.getPosterTypes();
   }
 
   @Get('default/:type')
@@ -72,9 +76,11 @@ export class PosterController {
     @Param('type') type: string,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.posterService.getDefaultByType(siteId, type);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.posterService.getDefaultByType(siteId, type);
   }
 
   @Get(':id')
@@ -85,22 +91,22 @@ export class PosterController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.posterService.getInfo(siteId, id);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.posterService.getInfo(siteId, id);
   }
 
   @Post()
   @ApiOperation({ summary: '新增海报' })
   @ApiResponse({ status: 200, description: '创建成功' })
   async add(@Body() data: any, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.posterService.add(siteId, data);
-      return { code: 200, message: '创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '创建失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.posterService.add(siteId, data);
   }
 
   @Put(':id')
@@ -112,13 +118,11 @@ export class PosterController {
     @Body() data: any,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.posterService.edit(siteId, id, data);
-      return { code: 200, message: '更新成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '更新失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.posterService.edit(siteId, id, data);
   }
 
   @Put(':id/default')
@@ -130,13 +134,11 @@ export class PosterController {
     @Body() data: { type: string },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.posterService.setDefault(siteId, id, data.type);
-      return { code: 200, message: '设置成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '设置失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.posterService.setDefault(siteId, id, data.type);
   }
 
   @Delete(':id')
@@ -147,12 +149,10 @@ export class PosterController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.posterService.del(siteId, id);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.posterService.del(siteId, id);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/PrinterController.ts b/wwjcloud/src/common/sys/controllers/admin/PrinterController.ts
index 49e8aac..609e90c 100644
--- a/wwjcloud/src/common/sys/controllers/admin/PrinterController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/PrinterController.ts
@@ -10,6 +10,7 @@ import {
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -42,26 +43,29 @@ export class PrinterController {
   @ApiOperation({ summary: '获取打印机分页列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerService.getPage(siteId, query);
   }
 
   @Get('list')
   @ApiOperation({ summary: '获取打印机列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getList(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerService.getList(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerService.getList(siteId, query);
   }
 
   @Get('brands')
   @ApiOperation({ summary: '获取打印机品牌列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getBrandList() {
-    const result = this.printerService.getBrandList();
-    return { code: 200, message: '获取成功', data: result };
+    return this.printerService.getBrandList();
   }
 
   @Get(':printerId')
@@ -72,22 +76,22 @@ export class PrinterController {
     @Param('printerId', ParseIntPipe) printerId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerService.getInfo(siteId, printerId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerService.getInfo(siteId, printerId);
   }
 
   @Post()
   @ApiOperation({ summary: '新增打印机' })
   @ApiResponse({ status: 200, description: '创建成功' })
   async add(@Body() data: any, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerService.add(siteId, data);
-      return { code: 200, message: '创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '创建失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerService.add(siteId, data);
   }
 
   @Put(':printerId')
@@ -99,13 +103,11 @@ export class PrinterController {
     @Body() data: any,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerService.edit(siteId, printerId, data);
-      return { code: 200, message: '更新成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '更新失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerService.edit(siteId, printerId, data);
   }
 
   @Put(':printerId/status')
@@ -117,17 +119,15 @@ export class PrinterController {
     @Body() data: { status: number },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerService.modifyStatus(
-        siteId,
-        printerId,
-        data.status,
-      );
-      return { code: 200, message: '修改成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '修改失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerService.modifyStatus(
+      siteId,
+      printerId,
+      data.status,
+    );
   }
 
   @Post(':printerId/test')
@@ -138,16 +138,14 @@ export class PrinterController {
     @Param('printerId', ParseIntPipe) printerId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerService.testConnection(
-        siteId,
-        printerId,
-      );
-      return { code: 200, message: '测试完成', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '测试失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerService.testConnection(
+      siteId,
+      printerId,
+    );
   }
 
   @Post(':printerId/print')
@@ -159,17 +157,15 @@ export class PrinterController {
     @Body() data: { content: string },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerService.print(
-        siteId,
-        printerId,
-        data.content,
-      );
-      return { code: 200, message: '打印完成', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '打印失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerService.print(
+      siteId,
+      printerId,
+      data.content,
+    );
   }
 
   @Delete(':printerId')
@@ -180,12 +176,10 @@ export class PrinterController {
     @Param('printerId', ParseIntPipe) printerId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerService.del(siteId, printerId);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerService.del(siteId, printerId);
   }
 }
